Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 269190 - [PATCH] app-text/sword fails to build w/ gcc-4.4
Summary: [PATCH] app-text/sword fails to build w/ gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Theology Herd (disbanded)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-05-10 00:48 UTC by Kent Fredric (IRC: kent\n)
Modified: 2009-05-15 05:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sword-1.5.11+gcc-4.4.patch (sword-1.5.11+gcc-4.4.patch,398 bytes, patch)
2009-05-10 00:50 UTC, Kent Fredric (IRC: kent\n)
Details | Diff
sword-1.5.11.ebuild (sword-1.5.11.ebuild,1.55 KB, text/plain)
2009-05-10 00:50 UTC, Kent Fredric (IRC: kent\n)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2009-05-10 00:48:41 UTC
Fails in compiling /utilities/emptyvss.cpp due to undefined fprintf  and other stuff required from CSTDIO

cat files/sword-1.5.11+gcc-4.4.patch:

diff -Naur sword-1.5.11.orig/utilities/emptyvss.cpp sword-1.5.11/utilities/emptyvss.cpp
--- sword-1.5.11.orig/utilities/emptyvss.cpp    2005-11-20 19:20:30.000000000 +1300
+++ sword-1.5.11/utilities/emptyvss.cpp 2009-05-10 12:40:37.008763763 +1200
@@ -2,6 +2,7 @@
 #include <swmodule.h>
 #include <versekey.h>
 #include <iostream>
+#include <cstdio>
 
 #ifndef NO_SWORD_NAMESPACE
 using sword::SWMgr;
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2009-05-10 00:50:05 UTC
Created attachment 190797 [details, diff]
sword-1.5.11+gcc-4.4.patch
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2009-05-10 00:50:52 UTC
Created attachment 190799 [details]
sword-1.5.11.ebuild

Modified Ebuild to have patch apply in unpack.
Comment 3 Sebastian Luther (few) 2009-05-10 06:32:09 UTC
@maintainer: metadata.xml lists the herd email address under <maintainer> which
is not correct according to
http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=4 .
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2009-05-15 05:27:41 UTC
Fixed.

(In reply to comment #3)
> @maintainer: metadata.xml lists the herd email address under <maintainer> which
> is not correct according to
> http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=4 .

It's valid, but it's supposed to be for when there's a specific or different maintainer than listed herd.  The docs say <email> is also a subtag of <pkgmetadata> but repoman complains it's invalid.  I filed bug #269906 about it, thanks for pointing it out.